---
title: llarp::util::NullMutex
summary: a mutex that does nothing 

---

# llarp::util::NullMutex



a mutex that does nothing  [More...](#detailed-description)


`#include <threading.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[lock](Classes/structllarp_1_1util_1_1NullMutex.md#function-lock)**() const |
| void | **[unlock](Classes/structllarp_1_1util_1_1NullMutex.md#function-unlock)**() const |

## Detailed Description

```cpp
struct llarp::util::NullMutex;
```

a mutex that does nothing 

this exists to convert mutexes that were initially in use (but may no longer be necessary) into no-op placeholders (except in debug mode where they complain loudly when they are actually accessed across different threads; see below).

the idea is to "turn off" the mutexes and see where they are actually needed. 

## Public Functions Documentation

### function lock

```cpp
inline void lock() const
```


### function unlock

```cpp
inline void unlock() const
```


-------------------------------

Updated on 2023-01-09 at 18:23:49 +0000